
_interrupt:

;v2_RF_receiver-driver.mbas,2 :: 		sub procedure interrupt
;v2_RF_receiver-driver.mbas,3 :: 		intcon.tmr0if=0
	BCF         INTCON+0, 2 
;v2_RF_receiver-driver.mbas,4 :: 		if RED>to_RED then dec(RED) end if
	MOVF        RED+0, 0 
	SUBWF       _to_RED+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt2
	DECF        RED+0, 1 
L__interrupt2:
;v2_RF_receiver-driver.mbas,5 :: 		if RED<to_RED then inc(RED) end if
	MOVF        _to_RED+0, 0 
	SUBWF       RED+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt5
	INCF        RED+0, 1 
L__interrupt5:
;v2_RF_receiver-driver.mbas,6 :: 		if GREEN>to_GREEN then dec(GREEN) end if
	MOVF        GREEN+0, 0 
	SUBWF       _to_GREEN+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt8
	DECF        GREEN+0, 1 
L__interrupt8:
;v2_RF_receiver-driver.mbas,7 :: 		if GREEN<to_GREEN then inc(GREEN) end if
	MOVF        _to_GREEN+0, 0 
	SUBWF       GREEN+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt11
	INCF        GREEN+0, 1 
L__interrupt11:
;v2_RF_receiver-driver.mbas,8 :: 		if BLUE>to_BLUE then dec(BLUE) end if
	MOVF        BLUE+0, 0 
	SUBWF       _to_BLUE+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt14
	DECF        BLUE+0, 1 
L__interrupt14:
;v2_RF_receiver-driver.mbas,9 :: 		if BLUE<to_BLUE then inc(BLUE) end if
	MOVF        _to_BLUE+0, 0 
	SUBWF       BLUE+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt17
	INCF        BLUE+0, 1 
L__interrupt17:
;v2_RF_receiver-driver.mbas,10 :: 		end sub
L_end_interrupt:
L__interrupt22:
	RETFIE      1
; end of _interrupt

_main:

;v2_RF_receiver-driver.mbas,11 :: 		main:
;v2_RF_receiver-driver.mbas,12 :: 		osccon.4=1 osccon.5=1 osccon.6=1
	BSF         OSCCON+0, 4 
	BSF         OSCCON+0, 5 
	BSF         OSCCON+0, 6 
;v2_RF_receiver-driver.mbas,13 :: 		init_PWM
	CALL        _init_PWM+0, 0
;v2_RF_receiver-driver.mbas,16 :: 		delay_ms(1000)
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L__main20:
	DECFSZ      R13, 1, 1
	BRA         L__main20
	DECFSZ      R12, 1, 1
	BRA         L__main20
	DECFSZ      R11, 1, 1
	BRA         L__main20
	NOP
	NOP
;v2_RF_receiver-driver.mbas,17 :: 		trisa.2=0
	BCF         TRISA+0, 2 
;v2_RF_receiver-driver.mbas,18 :: 		porta.2=1
	BSF         PORTA+0, 2 
;v2_RF_receiver-driver.mbas,20 :: 		RED=255
	MOVLW       255
	MOVWF       RED+0 
;v2_RF_receiver-driver.mbas,21 :: 		GREEN=255
	MOVLW       255
	MOVWF       GREEN+0 
;v2_RF_receiver-driver.mbas,22 :: 		BLUE=255
	MOVLW       255
	MOVWF       BLUE+0 
L_end_main:
	GOTO        $+0
; end of _main
