
_interrupt:

;v1.mbas,9 :: 		sub procedure interrupt
;v1.mbas,10 :: 		if pir1.rcif=1 then
	BTFSS       PIR1+0, 5 
	GOTO        L__interrupt2
;v1.mbas,11 :: 		pir1.rcif=0
	BCF         PIR1+0, 5 
;v1.mbas,12 :: 		prog_n=rcreg
	MOVF        RCREG+0, 0 
	MOVWF       _prog_n+0 
L__interrupt2:
;v1.mbas,14 :: 		end sub
L_end_interrupt:
L__interrupt157:
	RETFIE      1
; end of _interrupt

_main:

;v1.mbas,15 :: 		main:
;v1.mbas,17 :: 		trisa.7=0
	BCF         TRISA+0, 7 
;v1.mbas,18 :: 		test=0
	BCF         PORTA+0, 7 
;v1.mbas,19 :: 		prog_n=0x34     'default programm
	MOVLW       52
	MOVWF       _prog_n+0 
;v1.mbas,20 :: 		adc_init
	CALL        _ADC_Init+0, 0
;v1.mbas,21 :: 		ptcon0=%11111000
	MOVLW       248
	MOVWF       PTCON0+0 
;v1.mbas,22 :: 		ptcon1.7=1
	BSF         PTCON1+0, 7 
;v1.mbas,23 :: 		pwmcon0=%01000000
	MOVLW       64
	MOVWF       PWMCON0+0 
;v1.mbas,24 :: 		ptperl=pwm_per
	MOVLW       63
	MOVWF       PTPERL+0 
;v1.mbas,25 :: 		ptperh=0
	CLRF        PTPERH+0 
;v1.mbas,26 :: 		txsta=  %00000000
	CLRF        TXSTA+0 
;v1.mbas,27 :: 		rcsta=  %10010000
	MOVLW       144
	MOVWF       RCSTA+0 
;v1.mbas,28 :: 		baudcon=%00001000
	MOVLW       8
	MOVWF       BAUDCON+0 
;v1.mbas,29 :: 		spbrg= 207
	MOVLW       207
	MOVWF       SPBRG+0 
;v1.mbas,30 :: 		spbrgh=0
	CLRF        SPBRGH+0 
;v1.mbas,31 :: 		intcon.gie=1
	BSF         INTCON+0, 7 
;v1.mbas,32 :: 		intcon.peie=1
	BSF         INTCON+0, 6 
;v1.mbas,33 :: 		pie1.rcie=1
	BSF         PIE1+0, 5 
;v1.mbas,34 :: 		loop:
L__main_loop:
;v1.mbas,35 :: 		vdelay_ms(delay)
	MOVF        _delay+0, 0 
	MOVWF       FARG_VDelay_ms_Time_ms+0 
	MOVF        _delay+1, 0 
	MOVWF       FARG_VDelay_ms_Time_ms+1 
	CALL        _VDelay_ms+0, 0
;v1.mbas,37 :: 		case 0x31                          'key 1
	MOVF        _prog_n+0, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L__main9
;v1.mbas,38 :: 		pdc0l= adc_read(1)>> 2
	MOVLW       1
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       PDC0L+0 
;v1.mbas,39 :: 		pdc1l= adc_read(0)>> 2
	CLRF        FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       PDC1L+0 
;v1.mbas,40 :: 		pdc2l= adc_read(2)>> 2
	MOVLW       2
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       PDC2L+0 
	GOTO        L__main6
L__main9:
;v1.mbas,41 :: 		case 0x32                          'key 2
	MOVF        _prog_n+0, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L__main12
;v1.mbas,42 :: 		pdc0l= 10
	MOVLW       10
	MOVWF       PDC0L+0 
;v1.mbas,43 :: 		pdc1l= 10
	MOVLW       10
	MOVWF       PDC1L+0 
;v1.mbas,44 :: 		pdc2l= 10
	MOVLW       10
	MOVWF       PDC2L+0 
	GOTO        L__main6
L__main12:
;v1.mbas,45 :: 		case 0x33                          'key 3
	MOVF        _prog_n+0, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L__main15
;v1.mbas,46 :: 		pdc0l= 127
	MOVLW       127
	MOVWF       PDC0L+0 
;v1.mbas,47 :: 		pdc1l= 127
	MOVLW       127
	MOVWF       PDC1L+0 
;v1.mbas,48 :: 		pdc2l= 127
	MOVLW       127
	MOVWF       PDC2L+0 
	GOTO        L__main6
L__main15:
;v1.mbas,49 :: 		case 0x34                          'key 4
	MOVF        _prog_n+0, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L__main18
;v1.mbas,50 :: 		pdc0l= 255
	MOVLW       255
	MOVWF       PDC0L+0 
;v1.mbas,51 :: 		pdc1l= 255
	MOVLW       255
	MOVWF       PDC1L+0 
;v1.mbas,52 :: 		pdc2l= 255
	MOVLW       255
	MOVWF       PDC2L+0 
	GOTO        L__main6
L__main18:
;v1.mbas,53 :: 		case 0x35                          'key 5
	MOVF        _prog_n+0, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L__main21
;v1.mbas,54 :: 		delay=100
	MOVLW       100
	MOVWF       _delay+0 
	MOVLW       0
	MOVWF       _delay+1 
;v1.mbas,55 :: 		inc1=1
	MOVLW       1
	MOVWF       _inc1+0 
;v1.mbas,56 :: 		inc2=3
	MOVLW       3
	MOVWF       _inc2+0 
;v1.mbas,57 :: 		inc3=7
	MOVLW       7
	MOVWF       _inc3+0 
;v1.mbas,58 :: 		if up1=1 then pdc0l=pdc0l+inc1 else pdc0l=pdc0l-inc1 end if
	MOVF        _up1+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main23
	MOVF        _inc1+0, 0 
	ADDWF       PDC0L+0, 1 
	GOTO        L__main24
L__main23:
	MOVF        _inc1+0, 0 
	SUBWF       PDC0L+0, 1 
L__main24:
;v1.mbas,59 :: 		if up2=1 then pdc1l=pdc1l+inc2 else pdc1l=pdc1l-inc2 end if
	MOVF        _up2+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main26
	MOVF        _inc2+0, 0 
	ADDWF       PDC1L+0, 1 
	GOTO        L__main27
L__main26:
	MOVF        _inc2+0, 0 
	SUBWF       PDC1L+0, 1 
L__main27:
;v1.mbas,60 :: 		if up3=1 then pdc2l=pdc2l+inc3 else pdc2l=pdc2l-inc3 end if
	MOVF        _up3+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main29
	MOVF        _inc3+0, 0 
	ADDWF       PDC2L+0, 1 
	GOTO        L__main30
L__main29:
	MOVF        _inc3+0, 0 
	SUBWF       PDC2L+0, 1 
L__main30:
;v1.mbas,61 :: 		if pdc0l>245 then up1=0 end if
	MOVF        PDC0L+0, 0 
	SUBLW       245
	BTFSC       STATUS+0, 0 
	GOTO        L__main32
	CLRF        _up1+0 
L__main32:
;v1.mbas,62 :: 		if pdc1l>245 then up2=0 end if
	MOVF        PDC1L+0, 0 
	SUBLW       245
	BTFSC       STATUS+0, 0 
	GOTO        L__main35
	CLRF        _up2+0 
L__main35:
;v1.mbas,63 :: 		if pdc2l>245 then up3=0 end if
	MOVF        PDC2L+0, 0 
	SUBLW       245
	BTFSC       STATUS+0, 0 
	GOTO        L__main38
	CLRF        _up3+0 
L__main38:
;v1.mbas,64 :: 		if pdc0l<15 then up1=1 end if
	MOVLW       15
	SUBWF       PDC0L+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main41
	MOVLW       1
	MOVWF       _up1+0 
L__main41:
;v1.mbas,65 :: 		if pdc1l<15 then up2=1 end if
	MOVLW       15
	SUBWF       PDC1L+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main44
	MOVLW       1
	MOVWF       _up2+0 
L__main44:
;v1.mbas,66 :: 		if pdc2l<15 then up3=1 end if
	MOVLW       15
	SUBWF       PDC2L+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main47
	MOVLW       1
	MOVWF       _up3+0 
L__main47:
	GOTO        L__main6
L__main21:
;v1.mbas,67 :: 		case 0x36                          'key 6
	MOVF        _prog_n+0, 0 
	XORLW       54
	BTFSS       STATUS+0, 2 
	GOTO        L__main51
;v1.mbas,68 :: 		delay=1000
	MOVLW       232
	MOVWF       _delay+0 
	MOVLW       3
	MOVWF       _delay+1 
;v1.mbas,69 :: 		if cnt=6 then cnt=0 else inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__main53
	CLRF        _cnt+0 
	GOTO        L__main54
L__main53:
	INCF        _cnt+0, 1 
L__main54:
;v1.mbas,71 :: 		case 0 pdc0l= 0            pdc1l= 0           pdc2l= 255
	MOVF        _cnt+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main58
	CLRF        PDC0L+0 
	CLRF        PDC1L+0 
	MOVLW       255
	MOVWF       PDC2L+0 
	GOTO        L__main55
L__main58:
;v1.mbas,72 :: 		case 1 pdc0l= 0            pdc1l= 255         pdc2l= 0
	MOVF        _cnt+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main61
	CLRF        PDC0L+0 
	MOVLW       255
	MOVWF       PDC1L+0 
	CLRF        PDC2L+0 
	GOTO        L__main55
L__main61:
;v1.mbas,73 :: 		case 2 pdc0l= 0            pdc1l= 255         pdc2l= 255
	MOVF        _cnt+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__main64
	CLRF        PDC0L+0 
	MOVLW       255
	MOVWF       PDC1L+0 
	MOVLW       255
	MOVWF       PDC2L+0 
	GOTO        L__main55
L__main64:
;v1.mbas,74 :: 		case 3 pdc0l= 255          pdc1l= 0           pdc2l= 0
	MOVF        _cnt+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main67
	MOVLW       255
	MOVWF       PDC0L+0 
	CLRF        PDC1L+0 
	CLRF        PDC2L+0 
	GOTO        L__main55
L__main67:
;v1.mbas,75 :: 		case 4 pdc0l= 255          pdc1l= 0           pdc2l= 255
	MOVF        _cnt+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__main70
	MOVLW       255
	MOVWF       PDC0L+0 
	CLRF        PDC1L+0 
	MOVLW       255
	MOVWF       PDC2L+0 
	GOTO        L__main55
L__main70:
;v1.mbas,76 :: 		case 5 pdc0l= 255          pdc1l= 255         pdc2l= 0
	MOVF        _cnt+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__main73
	MOVLW       255
	MOVWF       PDC0L+0 
	MOVLW       255
	MOVWF       PDC1L+0 
	CLRF        PDC2L+0 
	GOTO        L__main55
L__main73:
;v1.mbas,77 :: 		case 6 pdc0l= 0            pdc1l= 0           pdc2l= 0
	MOVF        _cnt+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__main76
	CLRF        PDC0L+0 
	CLRF        PDC1L+0 
	CLRF        PDC2L+0 
	GOTO        L__main55
L__main76:
L__main55:
;v1.mbas,78 :: 		end select
	GOTO        L__main6
L__main51:
;v1.mbas,79 :: 		case 0x37
	MOVF        _prog_n+0, 0 
	XORLW       55
	BTFSS       STATUS+0, 2 
	GOTO        L__main79
;v1.mbas,80 :: 		delay=100
	MOVLW       100
	MOVWF       _delay+0 
	MOVLW       0
	MOVWF       _delay+1 
;v1.mbas,82 :: 		case 0 inc (pdc0l) if pdc0l=254 then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main83
	INCF        PDC0L+0, 1 
	MOVF        PDC0L+0, 0 
	XORLW       254
	BTFSS       STATUS+0, 2 
	GOTO        L__main85
	INCF        _cnt+0, 1 
L__main85:
	GOTO        L__main80
L__main83:
;v1.mbas,83 :: 		case 1 dec (pdc0l) if pdc0l=1   then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main89
	DECF        PDC0L+0, 1 
	MOVF        PDC0L+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main91
	INCF        _cnt+0, 1 
L__main91:
	GOTO        L__main80
L__main89:
;v1.mbas,84 :: 		case 2 inc (pdc1l) if pdc1l=254 then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__main95
	INCF        PDC1L+0, 1 
	MOVF        PDC1L+0, 0 
	XORLW       254
	BTFSS       STATUS+0, 2 
	GOTO        L__main97
	INCF        _cnt+0, 1 
L__main97:
	GOTO        L__main80
L__main95:
;v1.mbas,85 :: 		case 3 dec (pdc1l) if pdc1l=1   then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main101
	DECF        PDC1L+0, 1 
	MOVF        PDC1L+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main103
	INCF        _cnt+0, 1 
L__main103:
	GOTO        L__main80
L__main101:
;v1.mbas,86 :: 		case 4 inc (pdc2l) if pdc2l=254 then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__main107
	INCF        PDC2L+0, 1 
	MOVF        PDC2L+0, 0 
	XORLW       254
	BTFSS       STATUS+0, 2 
	GOTO        L__main109
	INCF        _cnt+0, 1 
L__main109:
	GOTO        L__main80
L__main107:
;v1.mbas,87 :: 		case 5 dec (pdc2l) if pdc2l=1   then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__main113
	DECF        PDC2L+0, 1 
	MOVF        PDC2L+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main115
	INCF        _cnt+0, 1 
L__main115:
	GOTO        L__main80
L__main113:
;v1.mbas,88 :: 		case 6 inc (pdc0l) inc (pdc1l) if pdc0l=254 then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__main119
	INCF        PDC0L+0, 1 
	INCF        PDC1L+0, 1 
	MOVF        PDC0L+0, 0 
	XORLW       254
	BTFSS       STATUS+0, 2 
	GOTO        L__main121
	INCF        _cnt+0, 1 
L__main121:
	GOTO        L__main80
L__main119:
;v1.mbas,89 :: 		case 7 dec (pdc0l) dec (pdc1l) if pdc0l=1   then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__main125
	DECF        PDC0L+0, 1 
	DECF        PDC1L+0, 1 
	MOVF        PDC0L+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main127
	INCF        _cnt+0, 1 
L__main127:
	GOTO        L__main80
L__main125:
;v1.mbas,90 :: 		case 8 inc (pdc1l) inc (pdc2l) if pdc1l=254 then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__main131
	INCF        PDC1L+0, 1 
	INCF        PDC2L+0, 1 
	MOVF        PDC1L+0, 0 
	XORLW       254
	BTFSS       STATUS+0, 2 
	GOTO        L__main133
	INCF        _cnt+0, 1 
L__main133:
	GOTO        L__main80
L__main131:
;v1.mbas,91 :: 		case 9 dec (pdc1l) dec (pdc2l) if pdc1l=1   then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__main137
	DECF        PDC1L+0, 1 
	DECF        PDC2L+0, 1 
	MOVF        PDC1L+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main139
	INCF        _cnt+0, 1 
L__main139:
	GOTO        L__main80
L__main137:
;v1.mbas,92 :: 		case 10 inc (pdc0l) inc (pdc2l) if pdc0l=254 then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__main143
	INCF        PDC0L+0, 1 
	INCF        PDC2L+0, 1 
	MOVF        PDC0L+0, 0 
	XORLW       254
	BTFSS       STATUS+0, 2 
	GOTO        L__main145
	INCF        _cnt+0, 1 
L__main145:
	GOTO        L__main80
L__main143:
;v1.mbas,93 :: 		case 11 dec (pdc0l) dec (pdc2l) if pdc0l=1   then inc(cnt) end if
	MOVF        _cnt+0, 0 
	XORLW       11
	BTFSS       STATUS+0, 2 
	GOTO        L__main149
	DECF        PDC0L+0, 1 
	DECF        PDC2L+0, 1 
	MOVF        PDC0L+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main151
	INCF        _cnt+0, 1 
L__main151:
	GOTO        L__main80
L__main149:
;v1.mbas,94 :: 		case 12 pdc0l=0 pdc1l=0 pdc2l=0 cnt=0
	MOVF        _cnt+0, 0 
	XORLW       12
	BTFSS       STATUS+0, 2 
	GOTO        L__main155
	CLRF        PDC0L+0 
	CLRF        PDC1L+0 
	CLRF        PDC2L+0 
	CLRF        _cnt+0 
	GOTO        L__main80
L__main155:
L__main80:
;v1.mbas,95 :: 		end select
	GOTO        L__main6
L__main79:
L__main6:
;v1.mbas,97 :: 		goto loop
	GOTO        L__main_loop
L_end_main:
	GOTO        $+0
; end of _main
